<generator_policy>
    <generator name="ConcatMultipleTerms" >
        <custom generatorClass="gr.forth.ConcatMultipleTerms">
            <set-arg name="prefix" type="constant"/>
            <set-arg name="sameTermsDelim" type="constant"/>
            <set-arg name="diffTermsDelim" type="constant"/>
            <set-arg name="text1"/>
            <set-arg name="text2"/>
        </custom>
    </generator>
    <generator name="ConcatThreeTerms">
        <custom generatorClass="gr.forth.ConcatMultipleTerms">
            <set-arg name="prefix" type="constant"/>
            <set-arg name="sameTermsDelim" type="constant"/>
            <set-arg name="diffTermsDelim" type="constant"/>
            <set-arg name="text1" type="constant"/>
            <set-arg name="text2" type="constant"/>
            <set-arg name="text3" type="constant"/>
        </custom>
    </generator>
    <generator name="ConcatFourTerms">
        <custom generatorClass="gr.forth.ConcatMultipleTerms">
            <set-arg name="prefix" type="constant"/>
            <set-arg name="sameTermsDelim" type="constant"/>
            <set-arg name="diffTermsDelim" type="constant"/>
            <set-arg name="text1" type="constant"/>
            <set-arg name="text2" type="constant"/>
            <set-arg name="text3" type="constant"/>
            <set-arg name="text4" type="constant"/>
        </custom>
    </generator>
    <generator name="ConcatFiveTerms">
        <custom generatorClass="gr.forth.ConcatMultipleTerms">
            <set-arg name="prefix" type="constant"/>
            <set-arg name="sameTermsDelim" type="constant"/>
            <set-arg name="diffTermsDelim" type="constant"/>
            <set-arg name="text1" type="constant"/>
            <set-arg name="text2" type="constant"/>
            <set-arg name="text3" type="constant"/>
            <set-arg name="text4" type="constant"/>
            <set-arg name="text5" type="constant"/>
        </custom>
    </generator>
    <generator name="ConcatSixTerms">
        <custom generatorClass="gr.forth.ConcatMultipleTerms">
            <set-arg name="prefix" type="constant"/>
            <set-arg name="sameTermsDelim" type="constant"/>
            <set-arg name="diffTermsDelim" type="constant"/>
            <set-arg name="text1" type="constant"/>
            <set-arg name="text2" type="constant"/>
            <set-arg name="text3" type="constant"/>
            <set-arg name="text4" type="constant"/>
            <set-arg name="text5" type="constant"/>
            <set-arg name="text6" type="constant"/>
        </custom>
    </generator>
    <generator name="DateNormalizer">
        <custom generatorClass="gr.forth.DateNormalizer">
            <set-arg name="bound" type="constant"/>
            <set-arg name="report" type="constant"/>
            <set-arg name="text"/>
        </custom>
    </generator>
    <generator name="UriExistingOrNew" prefix="temp_lincs_temp" >
        <custom generatorClass="gr.forth.UriExistingOrNew">
            <set-arg name="uri" type="xpath"/>
            <set-arg name="text1"/>
            <set-arg name="uri_separator1" type="constant"/>
        </custom>
    </generator>
    <generator name="URIorUUID" >
        <custom generatorClass="gr.forth.URIorUUID">
            <set-arg name="text"/>
        </custom>
    </generator>
    <generator name="URNfromTextualContent" >
        <custom generatorClass="gr.forth.TextualContent">
            <set-arg name="text" type="xpath"/>
        </custom>
    </generator>
    <generator name="id_label">
        <pattern>Accession Number of Canadian Centre for Ethnomusicology object {id_number}</pattern>
    </generator>
    <generator name="title_label">
        <pattern>Title of Canadian Centre for Ethnomusicology object {id_number}</pattern>
    </generator>
    <generator name="expression_label">
        <pattern>{id_number} - {title}</pattern>
    </generator>
    <generator name="production_label">
        <pattern>Production event of Canadian Centre for Ethnomusicology object {id_number}</pattern>
    </generator>
    <generator name="production_time_label">
        <pattern>Time-span of production event of Canadian Centre for Ethnomusicology object {id_number}</pattern>
    </generator>
    <generator name="materials_label">
        <pattern>Materials statement for Canadian Centre for Ethnomusicology object {id_number}</pattern>
    </generator>
    <generator name="dimension_statement_label">
        <pattern>Dimension statement for Canadian Centre for Ethnomusicology object {id_number}</pattern>
    </generator>
    <generator name="dimension_length_label">
        <pattern>Length of Canadian Centre for Ethnomusicology object {id_number}</pattern>
    </generator>
    <generator name="dimension_width_label">
        <pattern>Width of Canadian Centre for Ethnomusicology object {id_number}</pattern>
    </generator>
    <generator name="dimension_height_label">
        <pattern>Height of Canadian Centre for Ethnomusicology object {id_number}</pattern>
    </generator>
    <generator name="credit_label">
        <pattern>Credit line for Canadian Centre for Ethnomusicology object {id_number}</pattern>
    </generator>
    <generator name="desc_label">
        <pattern>Description of Canadian Centre for Ethnomusicology object {id_number}</pattern>
    </generator>
    <generator name="note_label">
        <pattern>Note for Canadian Centre for Ethnomusicology object {id_number}</pattern>
    </generator>
    <generator name="use_label">
        <pattern>Use statement for Canadian Centre for Ethnomusicology object {id_number}</pattern>
    </generator>
    <generator name="carrier_label">
        <pattern>Carrier for Canadian Centre for Ethnomusicology object {id_number}</pattern>
    </generator>
    <generator name="recording_label">
        <pattern>Recording of Canadian Centre for Ethnomusicology object {id_number}</pattern>
    </generator>
    <generator name="performance_label">
        <pattern>Performance of Canadian Centre for Ethnomusicology object {id_number} by {maker}</pattern>
    </generator>
    <generator name="date_rec_label">
        <pattern>Date of recording of Canadian Centre for Ethnomusicology object {id_number}</pattern>
    </generator>
    <generator name="tracks_label">
        <pattern>Number of tracks for Canadian Centre for Ethnomusicology object {id_number}</pattern>
    </generator>
    <generator name="relationship_label">
        <pattern>{option1} in the role of {relationship}</pattern>
    </generator>
</generator_policy>
